struct ProgressWindowData *CreateProgressWindow(struct WBStartupPrefs *prefs);
void CloseProgressWindow(struct ProgressWindowData *data);
void UpdateProgressBar(struct Window *win, int current, int total, const WORD fill);
void ShowIconImage(struct ProgressWindowData *data, struct DiskObject *disk_obj_p);
BOOL LoadBitmap(struct WBStartupPrefs *prefs, struct ProgressWindowData *data, struct Screen *scr);
BOOL InteractiveRunProgram(struct Window *win);
void DisplayProgramName(struct ProgressWindowData *data, char *name, BOOL query);
void SetFill (struct WBStartupPrefs *prefs_p);

struct ProgressWindowData
{
  struct Window *win;    /* This is the window, duhh */
  struct BitMap *bitmap; /* This is the bitmap for our background */
  struct BitMap *iconundobitmap;     /* bitmap to clear the icons with */
  struct BitMap *filenameundobitmap; /* bitmap to clear the filenames in interactive mode with */
};

